<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CSS - Cansei de Ser Sexy!</title>

  <style>
    p:nth-child(1) {
      color: red;
    }

    p:nth-child(1)>span {
      color: yellow;
    }

    p:nth-child(1)>span>span {
      color: purple;
    }

    p:nth-child(2) {
      color: green;
    }


    p:nth-child(2)>span {
      color: rgb(165, 97, 42);
    }

    p:nth-child(3) {
      color: blue;
    }

    p:nth-child(3)>span {
      color: grey;
    }
  </style>
</head>

<body>

  <p>
    Este texto é vermelho,
    <span> mas este é amarelo,
      <span>
        e este é roxo.
      </span>
    </span>
  </p>

  <p>
    Este texto é verde, <span>e este é marrom</span>
  </p>

  <p>
    Este texto é azul, <span>e este é cinza</span>
  </p>

</body>

</html>